Documentation Mercado Libre

Check out all the necessary information about APIs Mercado Libre.
circulos azuis em degrade

Documentation

Last update 15/01/2026

Lightning deals

Important:
The new status filter is now available to filter campaign items using the status_item query param, which accepts "active" or "paused" values.

Sellers are periodically invited to participate in different promotions that take place on the site. If you received the invitation to participate in a Lightning deal and want to join, you can do so with the following resources.
Keep in mind that this type of offer has a reserved stock that when depleted ends the promotion.





Query items

To find out which items are part of a Lightning deal, you can make the following query:


Request:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' 'https://api.mercadolibre.com/seller-promotions/promotions/$PROMOTION_ID/items?app_version=v2&promotion_type=LIGHTNING'

Example:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/seller-promotions/promotions/LGH-MLB1000/items?app_version=v2&promotion_type=LIGHTNING

Response:

{
   "results": [
       {
           "id": "MLB3293401743",
           "start_date": "2023-04-21T15:00:00",
           "finish_date": "2023-04-21T23:00:00",
           "status": "candidate",
           "price": 4000,
           "original_price": 5000,
           "max_discounted_price": 4950,
           "min_discounted_price": 1500,
           "stock": {
                 "min": 2,
                 "max": 5
             }


       }
   ],
   "paging": {
       "offset": 0,
       "limit": 50,
       "total": 1
   }
}

Response fields

id: item identifier.
start_date: campaign start date
finish_date: campaign end date.
status: item status in the promotion. (See table)
price: item price within the promotion. If the item status is candidate, it refers to the suggested price.
original_price: current item price.
max_original_price: is the lowest price at which this promotion can be offered.
min_discounted_price: is the highest price allowed for this promotion (i.e., the lowest discount allowed).
stock: informative value about the minimum and maximum stock range that must be assigned to the promotion.


Item status

In the following table you can find the possible statuses that items can have within this type of promotion.

Status Description
candidate Candidate to participate in the promotion.
pending Scheduled promotion.
started Active in the offer.
finished Removed from the campaign.


Add items

Once invited to participate in a Lightning deal, you can indicate which candidate products you want to include in it. Keep in mind that you must specify the stock that will be available for this promotion. When the available stock runs out, the promotion on the item will automatically end.


Request:

curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN'
-d '{ 
   "deal_price":$deal_price,
    "stock": $STOCK,
   "promotion_type":"$PROMOTION_TYPE
}' 
https://api.mercadolibre.com/seller-promotions/items/$ITEM_ID?app_version=v2 

Example:

curl -X POST -H 'Authorization: Bearer $ACCESS_TOKEN'
-d '{ 
   "stock": 4000,
   "stock":2,
   "promotion_type":"LIGHTNING"
}' 
https://api.mercadolibre.com/seller-promotions/items/MLB3293401743?app_version=v2

Response:

{
  "price": 14999,
  "original_price": 17000
}

Parameters

deal_price: item price in the promotion.
original_price: item price before being included in the promotion.
stock: item stock you want to reserve for this promotion.
promotion_type: promotion type LIGHTNING (Lightning deal).


Delete items

Note:
Once activated, offers cannot be deleted. Due to their short duration, we expect the seller to commit to keeping them active during their cycle. However, if the seller does not want to maintain the offer, they can pause the item.

With this resource you can delete the flash deal from the item.

Request:

curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/seller-promotions/items/$ITEM_ID?app_version=v2&promotion_type=$PROMOTION_TYPE

Example:

curl -X DELETE -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/seller-promotions/items/MLA632979587?app_version=v2&promotion_type=LIGHTNING

Response: Status 200 OK


Learn more about Lightning deals.


Next: Seller campaigns.